VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} ZZZ_IPressMayusculasWindow 
   Caption         =   "IPress, Llista de majscules del pargraf"
   ClientHeight    =   3870
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7470
   OleObjectBlob   =   "ZZZ_IPressMayusculasWindow.frx":0000
   StartUpPosition =   1  'Centrar en propietario
End
Attribute VB_Name = "ZZZ_IPressMayusculasWindow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'
' IPress (C) 2001,2002,2003 Estndard Lingstic S.L.
'   versi 1.1rev7
'   Concepte i diseny per Ricard Prez
'   Programat per Gerardo Garca
'   Tots els drets reservats.
'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

Option Explicit

Public opcion As Long
Public colop As Collection

Public poss1 As Long
Public pose1 As Long
Public poss2 As Long
Public pose2 As Long

Public docsrc As Document
Public docTrg As Document

Public whatonchow As Boolean

Private Sub cerrarCosita(Optional HideMeInTheMiddle As Boolean = True)
  ZZZ_IPMleft = ZZZ_IPressMayusculasWindow.Left
  ZZZ_IPMtop = ZZZ_IPressMayusculasWindow.Top
  ZZZ_IPMXXX = True
  ZZZ_IPMwhatonchow = whatonchow
  If HideMeInTheMiddle Then ZZZ_IPressMayusculasWindow.hide
End Sub

Private Sub UpdateDocs()
  If SourceList.ListIndex >= 0 Then
    If whatonchow Then
      docsrc.Activate
      If colop((SourceList.ListIndex * 6) + 1) <> "" Then
        Selection.Start = colop((SourceList.ListIndex * 6) + 2)
        Selection.End = colop((SourceList.ListIndex * 6) + 3)
      End If
      docTrg.Activate
      If colop((SourceList.ListIndex * 6) + 4) <> "" Then
        Selection.Start = colop((SourceList.ListIndex * 6) + 5)
        Selection.End = colop((SourceList.ListIndex * 6) + 6)
      End If
    Else
      docTrg.Activate
      If colop((SourceList.ListIndex * 6) + 4) <> "" Then
        Selection.Start = colop((SourceList.ListIndex * 6) + 5)
        Selection.End = colop((SourceList.ListIndex * 6) + 6)
      End If
      docsrc.Activate
      If colop((SourceList.ListIndex * 6) + 1) <> "" Then
        Selection.Start = colop((SourceList.ListIndex * 6) + 2)
        Selection.End = colop((SourceList.ListIndex * 6) + 3)
      End If
    End If
  End If
End Sub

Private Sub IPressMayusculasManageKeys(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  If KeyCode = 116 Then     ' F5 = Ir a...
    GoToButton_Click
  ElseIf KeyCode = 117 Then ' F6 = Cancelar
    ExitButton_Click
  ElseIf KeyCode = 118 Then ' F7 = Segent pargraf
    NextPButton_Click
  ElseIf KeyCode = 119 Then ' F7 = Anterior pargraf
    PrevPButton_Click
  ElseIf KeyCode = 120 Then ' F9 = Sortir
    ExitButton_Click
  End If
End Sub

Private Sub ExitButton_Click()
  opcion = ZZZ_IPMbotonExit
  cerrarCosita
End Sub

Private Sub ExitButton_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub Frame1_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub GoToButton_Click()
  opcion = ZZZ_IPMbotonGoTo
  If SourceList.ListIndex >= 0 And SourceList.ListIndex < SourceList.ListCount Then
    If colop((SourceList.ListIndex * 6) + 1) <> "" Then
      poss1 = colop(((SourceList.ListIndex) * 6) + 2)
      pose1 = colop(((SourceList.ListIndex) * 6) + 3)
    Else
      poss1 = -1
      pose1 = -1
    End If
    If colop((SourceList.ListIndex * 6) + 4) <> "" Then
      poss2 = colop(((SourceList.ListIndex) * 6) + 5)
      pose2 = colop(((SourceList.ListIndex) * 6) + 6)
    Else
      poss2 = -1
      pose2 = -1
    End If
  Else
    poss1 = -1
    pose1 = -1
    poss2 = -1
    pose2 = -1
  End If
  cerrarCosita
End Sub

Private Sub GoToButton_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub NextPButton_Click()
  opcion = ZZZ_IPMbotonNext
  cerrarCosita
End Sub

Private Sub NextPButton_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub OptionButton1_Click()
  whatonchow = OptionButton1.Value
  UpdateDocs
End Sub

Private Sub OptionButton1_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub OptionButton2_Click()
  whatonchow = OptionButton1.Value
  UpdateDocs
End Sub

Private Sub OptionButton2_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub PrevPButton_Click()
  opcion = ZZZ_IPMbotonPrev
  cerrarCosita
End Sub

Private Sub PrevPButton_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub SourceList_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  GoToButton_Click
End Sub

Private Sub SourceList_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub TargetList_AfterUpdate()
  SourceList.ListIndex = TargetList.ListIndex
  UpdateDocs
End Sub

Private Sub sourceList_AfterUpdate()
  TargetList.ListIndex = SourceList.ListIndex
  UpdateDocs
End Sub

Private Sub TargetList_DblClick(ByVal Cancel As MSForms.ReturnBoolean)
  GoToButton_Click
End Sub

Private Sub TargetList_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub UserForm_Activate()
  Dim i As Long
  
  If ZZZ_IPMXXX Then
    ZZZ_IPressMayusculasWindow.Left = ZZZ_IPMleft
    ZZZ_IPressMayusculasWindow.Top = ZZZ_IPMtop
    whatonchow = ZZZ_IPMwhatonchow
  Else
    ZZZ_IPressMayusculasWindow.Left = Application.UsableWidth - ZZZ_IPressMayusculasWindow.Width - 5
    whatonchow = False
  End If

  For i = 1 To colop.Count Step 6
    SourceList.AddItem colop(i)
    TargetList.AddItem colop(i + 3)
  Next i
  If SourceList.ListCount > 0 Then SourceList.ListIndex = 0
  If TargetList.ListCount > 0 Then TargetList.ListIndex = 0
  
  OptionButton1.Value = whatonchow
  OptionButton2.Value = Not whatonchow
    opcion = ZZZ_IPMbotonExit
End Sub

Private Sub UserForm_KeyDown(ByVal KeyCode As MSForms.ReturnInteger, ByVal Shift As Integer)
  IPressMayusculasManageKeys KeyCode, Shift
End Sub

Private Sub UserForm_QueryClose(Cancel As Integer, CloseMode As Integer)
  opcion = ZZZ_IPMbotonExit
  cerrarCosita False
End Sub

